Token payroll
Get Payroll Entities
Lists the org's payroll entities including the org record.
GEThttps://api.toku.com/stablecoin-payroll/get-payroll-entities
Required scope: payroll:read
curl --request GET \
--url 'https://api.toku.com/stablecoin-payroll/get-payroll-entities' \
--header 'Authorization: Bearer <token>'200 response
{
"payrollEntities": [
{
"country": "string",
"orgID": "string",
"name": "string",
"createdAt": "string",
"updatedAt": "string",
"payrollEntityID": "string",
"shortName": "string",
"reportingCurrency": "string",
"payrollSettingID": "string"
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Response
200Successful response
payrollEntitiesarray | nullShow child attributes
countrystring | nullorgIDstring | nullnamestring | nullcreatedAtstring | nullupdatedAtstring | nullpayrollEntityIDstring | nullshortNamestring | nullreportingCurrencystring | nullpayrollSettingIDstring | null400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits